#ifndef TMTrigMask_H
#define TMTrigMask_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

class TMHistogramming;

class TMTrigMask : public TGTransientFrame {
    
  RQ_OBJECT("TMTrigMask")

  public:
    
  TMTrigMask(const TGWindow* p, const TGWindow *main, TMHistogramming* hist, Int_t sendID);
  virtual ~TMTrigMask();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:
  
  const TGWindow        *fSPD;
  TMHistogramming       *fHist;
  Int_t                 fSendID;
  Bool_t                fLetUserCloseWindow;

  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[3];
  TGLabel		*fLabel0, *fLabel1;
  TGTextEntry		*fText0, *fText1;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];

  enum EEvents {
    TEXT_VAL0, TEXT_VAL1,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_ACT_ALL
  };

  ClassDef(TMTrigMask, 1);
};

#endif
